--AH:ScriptId=db258752-f2d3-4f1d-8fa0-c08fd2fe4e51;3034
CREATE TABLE [DeletedPackages]
(
	[Feed_Id] INT NOT NULL,
	[Group_Name] VARBINARY(200) NOT NULL,
	[Package_Name] VARBINARY(255) NOT NULL,
	[Version_Text] VARBINARY(200) NOT NULL,
	[File_Type] VARBINARY(20) NOT NULL,
	[DeletedOn_Date] DATETIME NOT NULL,

	CONSTRAINT [FK__DeletedPackages__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE,

	CONSTRAINT [PK__DeletedPackages]
		PRIMARY KEY ([Feed_Id], [Group_Name], [Package_Name], [Version_Text], [File_Type])
)

GO

CREATE NONCLUSTERED INDEX [IX__DeletedPackages__DeletedOn_Date]
	ON [DeletedPackages] ([Feed_Id], [DeletedOn_Date])